Subject: Re: Need stable 2.6 kernel for TQM823L

From: Thomas Maenner <[email-masked]>
Date: Thu, 3 Jul 2008 11:59:29 -0700

Thanks much Grant,

On Wednesday 02 July 2008 22:58:19 Grant Likely wrote:
> On Wed, Jul 02, 2008 at 02:18:13PM -0700, Thomas Maenner wrote:
> > Hi Guys,
> >
> > I have used the 2.4 kernel successfully on the TQM823L and 855s, and
> > wanted to try out a 2.6 version. So I downloaded the latest from Wolfgang
> > @ git.denx.de but I'm getting all sorts of compile errors....
> >
> > Before I continue to dive in, I wanted to ask the group some questions:
> > - Is 2.6 ported to the TQM8xx modules?
>
> $ ls arch/powerpc/boot/dts/tqm*
> arch/powerpc/boot/dts/tqm5200.dts  arch/powerpc/boot/dts/tqm8555.dts
> arch/powerpc/boot/dts/tqm8540.dts  arch/powerpc/boot/dts/tqm8560.dts
> arch/powerpc/boot/dts/tqm8541.dts
>
however, I found config files in the ppc tree:
ls arch/ppc/configs/TQM8*
arch/ppc/configs/TQM823L_defconfig  
arch/ppc/configs/TQM850L_defconfig
arch/ppc/configs/TQM8260_defconfig 
arch/ppc/configs/TQM860L_defconfig

Is this stuff still working?
Do I still need to create a device tree?

Thanks again

Tom

> Unfortunately, it doesn't look like any of the tqm8xx boards have been
> added to the device tree directory, so the answer is probably, 'no'.
>
> > - If so, is it stable?
>
> I believe 8xx support is stable in arch/powerpc, but you'll need to
> write a device tree file for the board.  Look for a similar board in
> arch/powerpc/boot/dts/ to use as a starting point.
>
> You'll probably also need to add a platform file to
> arch/powerpc/platforms/8xx that matches against your new device tree file.
>
> g.

-- 
Linux hackers are funny people: They count the time in patchlevels
--
Thomas Maenner
E-Mail: mailto:[email-masked]